window.addEvent('domready', function() {
	var tbl = $$('table.adminlist');

	if (tbl.length) {
		tbl = tbl[0];
	} else {
		return;
	}
	var tblHead = tbl.tHead;
	var position;
	
	var header = $(tblHead).getElements('th a');
	if (header.length == 0) {
		return;
	}
	Array.each(header, function(o, i) {
		if (o.text == 'Status') {
			position = o.getParent();
		}
	});
	if (!position) {
		position = header.getLast().getParent();
	}
	
	for (var h=0; h<tblHead.rows.length; h++) {
		var th = document.createElement('th');
		var th = new Element('th', { html: 'Translation', width: 100 } );
		// ICON PER LANGUAGE <br><img src="/administrator/components/com_jdiction/assets/icon-status-16-1.png" />
		th.inject(position, 'after');
	}

	var tblBody = tbl.tBodies[0];
	for (var i=0; i<tblBody.rows.length; i++) {
		var td = document.createElement('th');
		if (jdiction[i]['link'] != '') {
			var td = new Element('td', { 
				'html': '<a href="'+jdiction[i]['link']+'"><img src="/administrator/components/com_jdiction/assets/icon-status-16-'+jdiction[i]['status']+'.png" /></a>', 
				'class': 'center'
			});
		} else {
			var td = new Element('td', { 
				'html': '<img src="/administrator/components/com_jdiction/assets/icon-status-16-'+jdiction[i]['status']+'.png" />', 
				'class': 'center' 
			});
		}
		// ICON PER LANGUAGE
		var childs = $(tblBody.rows[i]).getChildren('td');
		td.inject(childs[position.cellIndex], 'after');
	}
	
});


function addColumn(tblId)
{
	var tblHeadObj = document.getElementById(tblId).tHead;
	for (var h=0; h<tblHeadObj.rows.length; h++) {
		var newTH = document.createElement('th');
		tblHeadObj.rows[h].appendChild(newTH);
		newTH.innerHTML = '[th] row:' + h + ', cell: ' + (tblHeadObj.rows[h].cells.length - 1)
	}

	var tblBodyObj = document.getElementById(tblId).tBodies[0];
	for (var i=0; i<tblBodyObj.rows.length; i++) {
		var newCell = tblBodyObj.rows[i].insertCell(-1);
		newCell.innerHTML = '[td] row:' + i + ', cell: ' + (tblBodyObj.rows[i].cells.length - 1)
	}
}
function deleteColumn(tblId)
{
	var allRows = document.getElementById(tblId).rows;
	for (var i=0; i<allRows.length; i++) {
		if (allRows[i].cells.length > 1) {
			allRows[i].deleteCell(-1);
		}
	}
}